Overview | Package | Class | Tree | Deprecated | Index | Help
| SMC 6_0_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.sf.smc.parser
Enum SmcParser.TargetLanguage

    java.lang.Object
      java.lang.Enum<SmcParser.TargetLanguage>
          net.sf.smc.parser.SmcParser.TargetLanguage

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SmcParser.TargetLanguage>

Enclosing class:
  SmcParser

    public static enum SmcParser.TargetLanguage

extends java.lang.Enum<SmcParser.TargetLanguage>

The currently supported SMC target languages. This enum is here because the parser allows different features in the FSM defintion based on the target language.

Enum Constant Summary
`C` C
`C_PLUS_PLUS` C++
`C_SHARP` .net C#
`GRAPH` GraphViz
`GROOVY` Groovy
`JAVA` Java
`LANG_NOT_SET` The target language is undefined.
`LUA` Lua
`OBJECTIVE_C` Objective C
`PERL` Perl
`PHP` PHP
`PYTHON` Python
`RUBY` Ruby
`SCALA` Scala
`TABLE` An HTML table
`TCL` Tcl
`VB` VB.net

Method Summary
`java.lang.String` | `sourceFileName(java.lang.String className)`
`static SmcParser.TargetLanguage` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SmcParser.TargetLanguage[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LANG_NOT_SET

    public static final SmcParser.TargetLanguage LANG_NOT_SET

  The target language is undefined.

### C_PLUS_PLUS

    public static final SmcParser.TargetLanguage C_PLUS_PLUS

  C++

### JAVA

    public static final SmcParser.TargetLanguage JAVA

  Java

### TCL

    public static final SmcParser.TargetLanguage TCL

  Tcl

### VB

    public static final SmcParser.TargetLanguage VB

  VB.net

### C_SHARP

    public static final SmcParser.TargetLanguage C_SHARP

  .net C#

### PYTHON

    public static final SmcParser.TargetLanguage PYTHON

  Python

### TABLE

    public static final SmcParser.TargetLanguage TABLE

  An HTML table

### GRAPH

    public static final SmcParser.TargetLanguage GRAPH

  GraphViz

### PERL

    public static final SmcParser.TargetLanguage PERL

  Perl

### RUBY

    public static final SmcParser.TargetLanguage RUBY

  Ruby

### C

    public static final SmcParser.TargetLanguage C

  C

### OBJECTIVE_C

    public static final SmcParser.TargetLanguage OBJECTIVE_C

  Objective C

### LUA

    public static final SmcParser.TargetLanguage LUA

  Lua

### GROOVY

    public static final SmcParser.TargetLanguage GROOVY

  Groovy

### SCALA

    public static final SmcParser.TargetLanguage SCALA

  Scala

### PHP

    public static final SmcParser.TargetLanguage PHP

  PHP

Method Detail

### values

    public static SmcParser.TargetLanguage[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SmcParser.TargetLanguage c : SmcParser.TargetLanguage.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SmcParser.TargetLanguage valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### sourceFileName

    public java.lang.String sourceFileName(java.lang.String className)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SMC 6_0_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. Charles W. Rapp. All Rights Reserved. Use is subject to license terms.